cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement

## Class SLN_S34

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SLR_S28_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SLN_S34

-     public final class SLN_S34
      extends SLR_S28_Common

  SLN_S34 - Notification of New Sterilization Lot (Event S34). This message is sent from a filler application to notify other applications that a new sterilization lot has been created.

  Represents a SLN_S34 message structure (see chapter 17.6.2). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: SLT (Sterilization Lot) MULTIPLE_COMPULSARY
  The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  SLN_S34 objS34 = (SLN_S34)MessageFactory.createInstance().createSendSupportedMessage("SLN", "S34");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SLR_S28_Common

      `addSoftwareSegment, addSoftwareSegment, addSterilizationLotSegment, addSterilizationLotSegments, getSoftwareSegments, getSterilizationLotSegments, getUserAuthenticationCredentialSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`